Administración de plug-ins

La aplicación Citrix Workspace para Windows ofrece funcionalidad de administración de plug-ins, lo que la convierte en la única aplicación cliente necesaria en el dispositivo de punto final para instalar y administrar agentes, como el agente de Secure Access y el plug-in End Point Analysis (EPA).

Con esta capacidad, los administradores pueden implementar y administrar fácilmente los agentes necesarios desde una única consola de administración.

La administración de plug-ins incluye estos pasos:

  • Los administradores deben especificar los agentes necesarios en los dispositivos de los usuarios finales en Global App Configuration Service. Los administradores pueden especificar el agente de Secure Access y el agente de Endpoint Analysis (EPA).
  • La aplicación Citrix Workspace obtiene la lista de agentes de Global App Configuration Service.
  • Según la lista obtenida de Global App Configuration Service, la aplicación Citrix Workspace descarga los paquetes de agente a través del servicio de actualización automática. Si el agente no se ha instalado anteriormente en el dispositivo de punto final, la aplicación Citrix Workspace desencadena la instalación del agente. Si el agente ya está instalado, la aplicación Citrix Workspace desencadena una actualización del agente (si la versión del agente descargado es posterior a la versión instalada).

La aplicación Citrix Workspace garantiza la actualización automática de los agentes siempre que haya una actualización disponible en el futuro.

La aplicación Citrix Workspace inicia sesión automáticamente en los agentes con las credenciales de Citrix Workspace.

Notas:

  • Si los plug-ins de EPA y ZTNA no existen, se descargan y se instalan al agregar el almacén o la cuenta por primera vez.
  • Si el almacén o la cuenta y los plug-ins ya existen y el instalador contiene una versión posterior, los plug-ins se actualizan durante el ciclo de actualización automática.

El siguiente diagrama ilustra el flujo de trabajo:

Administración de plug-ins

Importante:

Se requiere Global App Configuration Service para habilitar la función de administración de plug-ins.

  • Para los almacenes de la nube, se puede acceder a la interfaz de usuario de Global App Configuration Service en la sección Configuración de Workspace del portal de administración de Citrix Cloud. Para obtener más información, consulte Configurar la aplicación Citrix Workspace.
  • Para incorporar almacenes locales o si los clientes necesitan configurar la detección por correo electrónico para los almacenes de la nube, consulte la documentación de Global App Configuration Service.

Puede habilitar la función de administración de plug-ins con estos métodos:

  • Usar la interfaz de usuario de Global App Configuration Service: Use este método para implementar la versión más reciente del cliente.
  • Usar la API de Global App Configuration Service: Use este método para personalizar la instalación mediante parámetros con el fin de controlar la versión, los modos de implementación, los intervalos de actualización automática…

Habilitar la administración de plug-ins mediante la interfaz de usuario de Global App Configuration Service

Este método solo se aplica a los almacenes de la nube. Los administradores pueden implementar agentes (EPA/Secure Access, Zoom o WebEx) mediante la interfaz de usuario.

  1. Inicie sesión en Citrix Cloud.
  2. En el menú de la parte superior izquierda de la pantalla, seleccione Configuración de Workspace. Configuración de Workspace Aparecerá la página Configuración de Workspace. Página Configuración de Workspace
  3. Haga clic en la ficha Configuración de aplicaciones.
  4. Haga clic en Actualizaciones.
  5. Asegúrese de que la casilla Windows esté marcada.
  6. Seleccione los agentes necesarios junto a Windows en la lista desplegable de Parámetros del agente de administración de aplicaciones cliente.

    Actualizaciones

Habilitar la administración de plug-ins mediante la API de Global App Configuration Service

  1. Configure e incorpore los parámetros a Global App Configuration Service mediante la API. Para obtener más información, consulte Map service URLs and configure settings.
  2. Se deben incorporar estos parámetros de Global App Configuration para que el almacén o la cuenta puedan incorporar EPA y los clientes ZTNA/Secure Access Client:
{
    "serviceURL":
    {
        "url": "https://storefront.acme.com:443"
    },
    "settings":
    {
        "description": "Install and update plugins",
        "name": "Install and update plugins",
        "useForAppConfig": true,
        "appSettings":
        {
            "windows":
            [
                {
                    "assignedTo":
                    [
                        "AllUsersNoAuthentication"
                    ],
                    "category": "AutoUpdate",
                    "settings":
                    [
                        {
                            "name": "Auto Update plugins settings",
                            "value":
                            [
                                {
                                    "pluginId": "8A8AF6C0-11F6-4343-BA2D-A85A766170D4",
                                    "pluginName": "Citrix EPA Client",
                                    "pluginSettings":
                                    {
                                        "delayGroup": "Fast",
                                        "deploymentMode": "InstallAndUpdate",
                                        "detectRule": "UpgradeCode:{37A181F7-870E-4BDF-B0EA-E3B4766119FE}",
                                        "isBlocking": true,
                                        "isFTU": true,
                                        "maximumAllowedVersion": "23.8.1.24",
                                        "minimumAllowedVersion": "0.0.0.0",
                                        "stream": "Current",
                                        "upgradeToLatest": true
                                    }
                                },
                                {
                                    "pluginId": "9A8AF6C0-11F6-4343-BA2D-A85A766170D5",
                                    "pluginName": "Citrix Secure Access Client",
                                    "pluginSettings":
                                    {
                                        "delayGroup": "Fast",
                                        "deploymentMode": "InstallAndUpdate",
                                        "detectRule": "UpgradeCode:{F0ED53AB-11BE-4E9C-87E5-CD4A81DA2A4D}",
                                        "isBlocking": false,
                                        "isFTU": true,
                                        "maximumAllowedVersion": "21.8.0.0",
                                        "minimumAllowedVersion": "0.0.0.0",
                                        "stream": "Current",
                                        "upgradeToLatest": true
                                    }
                                },
                                {
                                    "pluginId": "C03BAE37-F3AC-4D63-8BC1-3C9CD2BC9E8D",
                                    "pluginName": "WebEx VDI AutoUpgrade Plugin",
                                    "pluginSettings":
                                    {
                                        "delayGroup": "Fast",
                                        "deploymentMode": "InstallAndUpdate",
                                        "detectRule": "UpgradeCode:{AA2AACDC-D30B-433F-A602-3E25975010A6}",
                                        "isBlocking": false,
                                        "isFTU": false,
                                        "maximumAllowedVersion": "3.1.0.24263",
                                        "minimumAllowedVersion": "0.0.0",
                                        "stream": "Current",
                                        "upgradeToLatest": true
                                    }
                                }
                            ]
                        }
                    ],
                    "userOverride": false
                }
            ]
        }
    }
}

<!--NeedCopy-->

Esta tabla muestra el esquema, los valores y la descripción de los parámetros de la administración de plug-ins.

|Parámetro del esquema|Valor| Descripción| |—|—|—| |isBlocking| True o False |Cuando el parámetro isBlocking se establece en true, el plug-in se considera obligatorio y la página de inicio de sesión solo aparece cuando está instalado el plug-in requerido. Citrix recomienda configurar EPA como plug-in obligatorio.| |pluginName||Nombre descriptivo del plug-in. pluginName se puede modificar.| |pluginId| |ID del plug-in y no debe modificarse.| |delayGroup| Fast, Medium, Slow| Intervalo de actualización automática en que los plug-ins deben actualizarse.| |deploymentMode|InstallAndUpdate/Update|InstallAndUpdate: El plug-in puede instalarse de nuevo y actualizarse con la nueva versión. Novedad: Solo deben permitirse actualizaciones, no nuevas instalaciones. | |None||No se necesita hacer nada para este plug-in.| |detectRule|El valor no debe modificarse.| Comprueba si el plug-in ya está instalado o no.| |maximumAllowedVersion| |La versión máxima permitida del plug-in.| |minimumAllowedVersion| |La versión mínima permitida del plug-in.| |upgradeToLatest|True o False| Debe establecerse en false para poder usar maximumAllowedVersion y minimumAllowedVersion. True: La versión más reciente del plug-in es la que se tiene en cuenta durante la actualización.| |Stream|Current|Debe establecerse en Current para recibir la instalación o la actualización automática de los plug-ins|

Flujo de trabajo de los usuarios

  1. Descargue e instale la aplicación Citrix Workspace para Windows, versión 2212.
  2. Haga clic en Agregar cuenta al terminar la instalación.
  3. Agregue el almacén/cuenta donde están incorporados los ajustes de configuración de la aplicación.

    Al instalar los plug-ins obligatorios, aparece el siguiente mensaje:

    Install On Hold

  4. Cuando se complete la instalación, aparecerá esta notificación:

    Administración de plug-ins correcta

  5. Haga clic en Know More para saber qué plug-ins hay instalados.

    Know More

Administración de plug-ins para el plug-in de Zoom

La descarga, la instalación y la actualización automática del plug-in Zoom también se admiten y se gestionan de la misma manera que los plug-ins de EPA y ZTNA.

Para usar esta funcionalidad, se deben incorporar los siguientes ajustes de Global App Configuration para el almacén o cuenta:


{
    "serviceURL":
    {
        "url": "https://storefront.acme.com:443"
    },
    "settings":
    {
        "description": "Install and update plugins",
        "name": "Install and update plugins",
        "useForAppConfig": true,
        "appSettings":
        {
            "windows":
            [
                {
                    "assignedTo":
                    [
                        "AllUsersNoAuthentication"
                    ],
                    "category": "AutoUpdate",
                    "settings":
                    [
                        {
                            "name": "Auto Update plugins settings",
                            "value":
                            [
                                {
                                    "pluginId": "1A4BB471-022C-4C87-BDCD-0B64FB42869C",
                                    "pluginName": "Zoom VDI AutoUpgrade Plugin",
                                    "pluginSettings":
                                    {
                                        "delayGroup": "Fast",
                                        "deploymentMode": "InstallAndUpdate",
                                        "detectRule": "UpgradeCode:{34225638-14F3-4059-BE34-175AC9B35435}",
                                        "isBlocking": false,
                                        "isFTU": false,
                                        "maximumAllowedVersion": "5.11.2872",
                                        "minimumAllowedVersion": "0.0.0",
                                        "stream": "Current",
                                        "upgradeToLatest": true
                                    }
                                }
                            ]
                        }
                    ],
                    "userOverride": false
                }
            ]
        }
    }
}

<!--NeedCopy-->